<?php
//Vérification (non authentifié = retour index)
if(!$_SESSION['accreditation']=="Administrateur" && !$_SESSION['accreditation']=="Etudiant")
header('Location:../index.php');

header('Content-Type: text/html; charset=utf-8');
//Verification si champs non vides
if(isset($_POST['nomGroupe']) && isset($_POST['nbrEtudiants']))
{
$_SESSION['erreurGroupe']=null; //Initialisation su message d'erreur

include "../session/connexion.php"; //Connexion à la BdD

//Retourne les infos relatives aux groupes
$groupes=$objPdo->prepare('SELECT * FROM groupe');
$groupes->execute();

//Retourne un message d'erreur si groupe existant, puis redirection vers ajout.php
while($rowGroupes=$groupes->fetch())
{
	if($rowGroupes['libelle_groupe']==htmlspecialchars($_POST['nomGroupe']) )
	{
		$_SESSION['message']="Erreur, groupe existant";
		header('Location: ajout.php');
	}	
}
	
$i=1; //compteur

//Récupération des valeurs depuis ajout.php
$_SESSION['nbrEtudiants'] = $_POST['nbrEtudiants'];
$_SESSION['nomGroupe']=$_POST['nomGroupe'];

//Mise en place d'un formulaire dynamique d'ajout d'étudiant => incrémentation des valeurs affichées et utlisées !
echo '<br />';
for($i;$i<=$_POST['nbrEtudiants'];$i++)
{
	echo '
	
	<form method="post" action="ajoutEtu.php">
			<b>Etudiant n°' .$i.'</b><br /><br />
			Nom : <input type="text" name="nomEtu'.$i.'">
			Prénom : <input type="text" name="prenomEtu'.$i.'">
			<br /><br /><br />';

	if($i==$_POST['nbrEtudiants']) //Fin dynamique du formulaire
	{
	echo '<input class="boutonValider" type="submit" name="ajoutEtu" value="Ajouter">
			<br /></form>';
	}
}	
}
?>
